/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/
#include "AudioSourcesList.hh"

AudioSourcesList::AudioSourcesList()
        {
        for (int i=0; i< MAX_AUDIO_SOURCES;i++)
                {
                audioSource[i]=0;
                }
        }

AudioSourcesList::~AudioSourcesList()
        {
        }


int AudioSourcesList::add(Audio*  pAudio)
        {
        int r=-1;
        for (int i=0; i< MAX_AUDIO_SOURCES;i++)
                {
                if (!audioSource[i])
                        {
                        audioSource[i]=pAudio;
                        r=1;
                        break;
                        }
                }
        return r;
        }

int AudioSourcesList::remove(Audio* pAudio)
        {
        int r=-1;
        for (int i=0; i< MAX_AUDIO_SOURCES;i++)
                {
                if (audioSource[i]==pAudio)
                        {
                        audioSource[i]=0;
                        r=1;
                        break;
                        }
                }
        return r;
        }



Audio* AudioSourcesList::get_audio_for_source(QString sourceFileName)
        {
        Audio* au = 0;
        for (int i=0; i< MAX_AUDIO_SOURCES;i++)
                {
                if (audioSource[i] && (audioSource[i]->get_filename()==sourceFileName))
                        {
                        au=audioSource[i];
                        break;
                        }
                }
        return au;
        }
//eof

