/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/
#ifndef GLOBALPROPERTIESWINDOW_HH
#define GLOBALPROPERTIESWINDOW_HH

#include <qvariant.h>
#include <qdialog.h>
#include <qasciidict.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QComboBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QRadioButton;
class QSpinBox;
class QTabWidget;
class QWidget;
class Interface;

#define DICT_SIZE 20

class GlobalPropertiesWindow : public QWidget
        {
        Q_OBJECT

        public:
        GlobalPropertiesWindow( Interface* pParentInterface,  const char* name = 0);
        ~GlobalPropertiesWindow();

        protected:
                Interface* parentInterface;
                QComboBox *wDefaultSampleRate, *wDefaultHZoomLevel, *wDefaultBitDepth;
                QSpinBox *wSliceWidthFactor, *wJmbClearTime, *wJmbHoldSensitivenessFactor, *wJmbDoublePressInterval, *wDefaultNumTracks;
                QLineEdit *wStandardDevice, *wMp3EncodeCommand, *wMp3DecodeCommand, *wOggDecodeCommand, *wOggEncodeCommand;

        public slots:
                void apply();
                void ok();

        };


#include "Interface.hh"

#endif
