/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/
#ifndef SLICE_HH
#define SLICE_HH

class SubClip;
class Song;
class Mixer;

typedef SubClip* SubClipList;

class Slice
        {
        public :
                Slice(Mixer* pParentMixer, int anID);
                ~Slice();
                
                int add_sub_clip(SubClip* sc, int trackNumber);
                int add(SubClip* anSubClip);
                int mix(int bus, char* mixBuffer);
                int render(char* renderBuffer);
                void show();

                int get_width();
                int get_width_in_bytes();
        
        // private:
                int ID;
                Slice *prev;
                Slice *next;
                long long leftBorder;
                long long rightBorder;
                char* cellMixBuffer;
                Song* parentSong;
                Mixer* parentMixer;
                int numTracks;
                SubClipList* subClipListPerTrack;
        };


#include "SubClip.hh"
#include "Song.hh"
#include "Mixer.hh"

#endif

