/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/
#ifndef WAVFILE_HH
#define WAVFILE_HH

#include <stdio.h>

class WavFile
    {
    public:
        WavFile();
        ~WavFile();

        int open(char* newFileName);
        int create(char* newFileName);
        int read_header();
        int write_header(int nchannels, int arate, int abitdepth);
        void show_info();
        void rewind();
        void skip_header();
        FILE* get_file();
        int get_header_size();
        long long get_audio_size();
        int get_channels();
        int get_rate();
        int get_bit_depth();
        int fix_audio_size();
        int close_file();
        int append_samples_from_buffer(char* buffer, int bufferSize);


    private:
        FILE* file;
        char* fileName;
        char audioType[4];
        long fileSize;
        char riffType[4];
        char useLess[8];
        short compressionCode;
        short channels;
        long rate;
        long  bytesPerSec;
        short blockSize;
        short bitDepth;
        int headerSize;
        long long audioSize;

    };

#endif


