#include "PanController.hh"
#include <mustux.h>

PanController::PanController(Song* pParentSong, MustuxDrawable* pDrawArea, AudioFilter* pFilter )
        : FilterController(pParentSong, pDrawArea, pFilter)
        {
        PENTERCONS;
        curveAmountIndex  = get_curve_index(add_curve("Amount"));
        currentCurveIndex = curveAmountIndex ;
        PEXITCONS;
        }

PanController::~PanController()
        {
        }

void PanController::node_setup()
        {
        curve[currentCurveIndex]->get_current_curve_node()->setup();
        }


void PanController::setup()
        {
        FilterController::setup();
        }


QString PanController::get_type()
        {
        return "Pan";
        }


int PanController::get_baseX()
        {
        return baseX;
        }


int PanController::get_baseY()
        {
        return baseY;
        }

int PanController::get_width()
        {
        return drawArea->width();
        }

int PanController::get_height()
        {
        return height;
        }

void PanController::set_baseX(int initialValue)
        {
        baseX=initialValue;
        }

void PanController::set_baseY(int initialValue)
        {
        baseY=initialValue;
        }

void PanController::set_width(int initialValue)
        {
        width=initialValue;
        }

void PanController::set_height(int initialValue)
        {
        height=initialValue;
        }

void PanController::draw()
        {
        PENTER;
        FilterController::draw();
        PEXIT;
        }

int PanController::process(char* data, int size)
        {
        float p = curve[curveAmountIndex]->get_value_at(parentSong->get_playing_block()) / 100;
        ((Pan*)assocFilter)->set_pan(p);
        if (assocFilter->load_data(data,size)<0) return -1;
        if (assocFilter->prepare()<0) return -1;
        if (assocFilter->process()<0) return -1;
        return 1;
        }

//eof
